Получить статус операции копирования
Request
GET
https://api.wiki.yandex.net/v1/operations/clone/{task_id}
Path parameters
|
Name |
Description |
|
task_id |
Type: string Example: `` |
Responses
200 OK
OK
Body
application/json
{
"status": "scheduled",
"progress": {
"percentage": 0.5,
"details": "example"
},
"result": {
"page": {
"id": 0,
"slug": "example"
}
}
}
|
Name |
Description |
|
status |
Type: Status An enumeration. Enum: |
|
progress |
Type: Progress Example
|
|
result |
Type: PageCloneResponse Example
|
Status
An enumeration.
Type: string
Enum: scheduled, in_progress, success, failed
Progress
|
Name |
Description |
|
details |
Type: string Example: |
|
percentage |
Type: number |
Example
{
"percentage": 0.5,
"details": "example"
}
PageSchema
|
Name |
Description |
|
id |
Type: integer |
|
slug |
Type: string Example: |
Example
{
"id": 0,
"slug": "example"
}
PageCloneResponse
|
Name |
Description |
|
page |
All of 1 type
Клонированная страница Example
|
Example
{
"page": {
"id": 0,
"slug": "example"
}
}
Была ли статья полезна?
Предыдущая